VCSResourceConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.veritas.cluster.VCSResourceConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.veritas.cluster
Interface VCSResourceConfiguration

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface VCSResourceConfiguration

extends LogicalElement

Resource configuration contains all information necessary for the VCS service group to control hardware or software entities that make up the application. Resources include disk groups and file systems, network interface cards (NIC), IP addresses, and applications.

Naming Rules:
  0="serviceGroup,name"
Persistable:
  true
Table Name:
  VCSRESOURCECONF
Display Name:
  serviceGroup,name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getArgList()` An ordered list of attributes whose values are passed to the open, close, online, offline, monitor, clean, info, and action entry points.
`ModelObject` | `getManagedelement()`
`java.lang.String` | `getName()` Indicates resource name.
`int` | `getNumThreads()` Number of threads used within the agent process for managing resources.
`java.lang.String` | `getRawSettings()` Raw representation of part of the main.cf file which is responsible for resource configuration.
`VCSLocalServiceGroup` | `getServiceGroup()`
`java.lang.String` | `getSupportedActions()` User defined valid action tokens for the resource type.
`boolean` | `hasArgList()`
`boolean` | `hasManagedelement()`
`boolean` | `hasName()`
`boolean` | `hasNumThreads()`
`boolean` | `hasRawSettings()`
`boolean` | `hasServiceGroup()`
`boolean` | `hasSupportedActions()`
`void` | `setArgList(java.lang.String x)`
`void` | `setManagedelement(ModelObject x)`
`void` | `setName(java.lang.String x)`
`void` | `setNumThreads(int x)`
`void` | `setRawSettings(java.lang.String x)`
`void` | `setServiceGroup(VCSLocalServiceGroup x)`
`void` | `setSupportedActions(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getManagedelement

    ModelObject getManagedelement()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="false"

### setManagedelement

    void setManagedelement(ModelObject x)

### hasManagedelement

    boolean hasManagedelement()

### getRawSettings

    java.lang.String getRawSettings()
                                    throws AttributeNotSetException

  Raw representation of part of the main.cf file which is responsible for resource configuration.

  Throws:
    `AttributeNotSetException`

### setRawSettings

    void setRawSettings(java.lang.String x)

### hasRawSettings

    boolean hasRawSettings()

### getSupportedActions

    java.lang.String getSupportedActions()
                                         throws AttributeNotSetException

  User defined valid action tokens for the resource type.

  Throws:
    `AttributeNotSetException`

### setSupportedActions

    void setSupportedActions(java.lang.String x)

### hasSupportedActions

    boolean hasSupportedActions()

### getServiceGroup

    VCSLocalServiceGroup getServiceGroup()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Controls" reverse="true"

### setServiceGroup

    void setServiceGroup(VCSLocalServiceGroup x)

### hasServiceGroup

    boolean hasServiceGroup()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Indicates resource name.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getArgList

    java.lang.String getArgList()
                                throws AttributeNotSetException

  An ordered list of attributes whose values are passed to the open, close, online, offline, monitor, clean, info, and action entry points.

  Throws:
    `AttributeNotSetException`

### setArgList

    void setArgList(java.lang.String x)

### hasArgList

    boolean hasArgList()

### getNumThreads

    int getNumThreads()
                      throws AttributeNotSetException

  Number of threads used within the agent process for managing resources. This number does not include threads used for other internal purposes.

  Throws:
    `AttributeNotSetException`

### setNumThreads

    void setNumThreads(int x)

### hasNumThreads

    boolean hasNumThreads()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD